#
# spec file for package python-diskcache
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global skip_python2 1
Name:           python-diskcache
Version:        5.1.0
Release:        bp154.1.38
Summary:        Disk and file backed cache
License:        Apache-2.0
URL:            http://www.grantjenks.com/docs/diskcache/
Source:         https://github.com/grantjenks/python-diskcache/archive/v%{version}.tar.gz
BuildRequires:  %{python_module Django}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{pythons}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python
BuildArch:      noarch
%python_subpackages

%description
DiskCache: Disk Backed Cache

DiskCache is a disk and file backed cache library, written
in pure Python, and compatible with Django.

%prep
%setup -q

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
sed -i '/-n auto/d' tox.ini
rm tests/test_djangocache.py
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Nov 17 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 5.1.0:
  * Support transactions in FanoutCache (probably a bad idea)
  * Prevent cache shard attribute access when unsafe
* Thu Sep 17 2020 Dirk Mueller <dmueller@suse.com>
- update to 5.0.3:
  * drop python 2.7 support
  * python 3.8 fixes
  * add documentation about cache volume caveats
* Thu Feb 27 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 4.1.0:
  * Move zero-expiration logic into memoize (rather than Cache.set)
  * Provide JSONDisk with diskcache (#124)
  * Add check for DEFAULT_TIMEOUT in DjangoCache.memoize
* Thu Nov 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to pull in full python due to the dependencies
* Thu Jul 25 2019 pgajdos@suse.com
- version update to 4.0.0
  * no upstream changelog
* Fri Mar  8 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.1.1:
  * Fix various timeouts
  * Small fixes around
* Sun Jun 10 2018 jengelh@inai.de
- Remove metadata redundancies from description.
* Fri Jun  8 2018 petr@cervinka.net
- Initial package version
- Django related tests are excluded from python3 tests. Tests are made for Django1
  only. Django1 is for python2 only in distribution.
